#
# spec file for package python3-Durus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-Durus
Version:        3.9
Release:        9.2
Url:            http://www.mems-exchange.org/software/durus/
Summary:        A Python Object Database
License:        CNRI-Python
Group:          Development/Languages/Python
Source:         Durus-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-nose
Requires:       python3

%description
Serves and manages changes to persistent objects being used in
multiple client processes.

%prep
%setup -q -n Durus-%{version}
sed -i "1d" {db_renumber,__main__}.py # Fix non-executable scripts

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Change binarie name to avoid conlict with python2 package
mv %{buildroot}/%{_bindir}/durus %{buildroot}/%{_bindir}/durus-%{py3_ver}

%check
nosetests-%{py3_ver}

%files
%defattr(-,root,root,-)
%doc ACKS.txt CHANGES.txt LICENSE.txt README.txt doc/FAQ.txt
%{_bindir}/durus-%{py3_ver}
%{python3_sitearch}/*

%changelog
* Sun Apr 14 2013 toddrme2178@gmail.com
- Fix building on openSUSE <= 12.2
* Sun Apr 14 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Mar 23 2012 cfarrell@suse.com
- license update: CNRI-Python
  SPDX
* Thu Sep 22 2011 saschpe@suse.de
- Initial version
